{% extends "../../layout.jinja2" %}

{% block content %}
<div class="card">
    <div class="card-header">
        Observation
    </div>
    <div class="card-body">
        <dl>
            <dt>ID</dt>
            <dd>{{ observation.id }}</dd>

            <dt>Category</dt>
            <dd>{{ observation.category }}</dd>

            <dt>Program ID</dt>
            <dd>{{ observation.program_id }}</dd>

            <dt>Program Title</dt>
            <dd>{{ observation.program.title }}</dd>

            <dt>Program Type</dt>
            <dd>{{ observation.program.type }}</dd>

            <dt>PI / COI</dt>
            <dd>{{ observation.program.pi_coi }}</dd>
        </dl>
    </div>
</div>

<div class="card">
    <div class="card-header">
        Instrument
    </div>
    <div class="card-body">
        <dl>
            <dt>Interferometer</dt>
            <dd><a href="{{ request.route_path('detail', type='interferometer', id=observation.interferometer_id) }}">{{ observation.interferometer.name }}</a></dd>

            <dt>Instrument</dt>
            <dd><a href="{{ request.route_path('detail', type='instrument', id=observation.instrument_id) }}">{{ observation.instrument.name }}</a></dd>

            {% if observation.instrument_mode %}
            <dt>Instrument mode</dt>
            <dd>{{ observation.instrument_mode.name }}</dd>
            {% endif %}

            {% if observation.instrument_submode %}
            <dt>Instrument sub-mode</dt>
            <dd>{{ observation.instrument_submode }}</dd>
            {% endif %}

            {% if observation.stations %}
            <dt>Stations</dt>
            <dd>{{ observation.stations }}</dd>
            {% endif %}

            {% if observation.pops %}
            <dt>Pops</dt>
            <dd>{{ observation.pops }}</dd>
            {% endif %}
        </dl>
    </div>
</div>

{% if observation.target %}
<div class="card">
    <div class="card-header">
        Target
    </div>
    <div class="card-body">
        <dl>
            <dt>ID</dt>
            <dd><a href="{{ request.route_path('detail', type='target', id=observation.target.id) }}">{{ observation.target.id }}</a></dd>

            <dt>Name</dt>
            <dd>{{ observation.target.name }}</dd>

            <dt>RA</dt>
            <dd>{{ observation.target.ra }}</dd>

            <dt>DEC</dt>
            <dd>{{ observation.target.dec }}</dd>
        </dl>
    </div>
</div>
{% endif %}

{% if observation.exposures %}
<div class="card">
    <div class="card-header">
        Exposures ({{ observation.exposures_count or 0 }})
    </div>
    <div class="card-body">
        <table class="table">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Header</th>
                    <th>Date updated</th>
                    <th>MJD Start</th>
                    <th>MJD End</th>
                </tr>
            </thead>
            <tbody>
            {% for exposure in observation.exposures %}
                <tr>
                    <td><a href="{{ request.route_path('detail', type='exposure', id=exposure.id) }}">{{ exposure.id }}</a></td>
                    <td><a href="{{ request.route_path('detail', type='header', id=exposure.header_id) }}">{{ exposure.header_id }}</a></td>
                    <td>{{ exposure.date_updated|datetime }}</td>
                    <td>{{ exposure.mjd_start }}</td>
                    <td>{{ exposure.mjd_end }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>
{% endif %}

{% endblock content %}
